Subject: Re: Protocol Action: GSS Algorithm for TSIG (GSS-TSIG) to Proposed Standard

From: Danny Mayer <[email-masked]>
Date: Tue, 02 Apr 2002 18:16:30 -0500

At 03:38 PM 3/27/02, The IESG wrote:
>The WG chairs have been informed that there are at least two independent
>interoperable implementations. Based on this feedback the WG came to consensus
>about advancing this as a proposed standard.

Outside of Microsoft and Lucent, the authors of this Proposed Standard, who
has implemented this?

         Danny

--
to unsubscribe send a message to [email-masked] with
the word 'unsubscribe' in a single line as the message text body.
archive: <http://ops.ietf.org/lists/namedroppers/>

---

From: Bill Manning <[email-masked]>
Date: Tue, 2 Apr 2002 15:39:03 -0800 (PST)

% At 03:38 PM 3/27/02, The IESG wrote:
% >The WG chairs have been informed that there are at least two independent
% >interoperable implementations. Based on this feedback the WG came to consensus
% >about advancing this as a proposed standard.
% 
% Outside of Microsoft and Lucent, the authors of this Proposed Standard, who
% has implemented this?
% 
%          Danny

Perhaps more of interest, I seem to remember that there were some IP issues 
with the Microsoft implementation; e.g. one had to be bound to strict 
covenents before the specs would be released.  For this reason, we do not
have an interoperable implementation with an open reference standard, i.e.
BIND.

Will someone please tell me I'm misunderstanding this issue?

-- 
--bill

---

From: [email-masked] (Randy Hall)
Date: Wed, 03 Apr 2002 09:43:54 -0500

> Perhaps more of interest, I seem to remember that there were some 
> IP issues with the Microsoft implementation; e.g. one had to be 
> bound to strict covenents before the specs would be released.

> Will someone please tell me I'm misunderstanding this issue?

I'm not sure what "specs" are being referred to.

I just used the draft and windows 2000 kerberos configuration
information that is available on publicly accessible web sites
or as part of the win2k documentation.  I wasn't bound to 
anything, nor did I have to sign an NDA or anything like that.  
There were (IMO) bugs in the TKEY, TSIG, and other protocols 
that needed fixing, and some changes (IMO) were needed (and 
made) to the protocol, but there were no IP issues relating 
these issues.

It was more a matter of ... I think there's a bug in your [protocol]
implementation ... whaddya think ... ok we'll fix it in the next
release or try this workaround in the mean time ...

In any case, if it cannot be implemented from the draft alone, its
only because of bugs in legacy versions of other protocols (or
unfixed bugs), and I don't recall any IP issues on these bugs.  
Furthermore, I'm confident the draft alone can be used to develop 
an implementation that will interoperate with Lucent's 
implementation.

BTW, our management is considering making the details of our 
implementation available, but that is not my decision and is out
of my hands.

Cheers
Randy
Lucent